#version 330 core
layout (location = 0) in vec3 aPosition;
layout (location = 1) in vec3 aNormal;
uniform mat4 globalTransformation;
// uniform mat4 modelTransformation;
out vec3 normal;
void main() {
	normal = aNormal;
	gl_Position = globalTransformation * vec4(aPosition, 1.0);
}